Skip to navigation

Create or Update Batch of Price Lists Records

Creates or updates a batch of Price Lists Records; may include price list records from more than one price list. Concurrency limit of 1. It is advised to use POST to get better performance when creating price records.

Each request must include price_list_id and currency, plus either variant_id or sku to identify the variant.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
price_list_idintegerRequired
The price list ID the price record is associated with.
currencystringRequired

The 3-letter country code with which this price record is associated.

variant_idintegerOptional

The variant with which the price record is associated. Either variant_id or sku is required.

skustringOptional

The SKU for the variant with which this price record is associated. Either sku or variant_id is required.

pricedoubleOptional

The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

sale_pricedoubleOptional

The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

retail_pricedoubleOptional

The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.

map_pricedoubleOptional

The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the map_ price will be treated as not being set on this variant.

bulk_pricing_tierslist of objectsOptional

Response

Success response for batch PUT of Price List Records.

dataobjectOptional
metaobjectOptional

Errors

422
Unprocessable Entity Error